Subject: Re: [RFC PATCH 0/2] Introduce new merge-tree-ort command

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Jan 2022 22:08:03 -0800

Elijah Newren <[email-masked]> writes:

>> so it may be quite simple to deprecate "merge -s recursive".
>
> Yes...but why deprecate?  I thought the plan was to (eventually) make
> requests for either `recursive` or `ort` be handled by running the
> `ort` backend.  Making that kind of switch is much smaller than the
> one we already made to switch the default backend from `recursive` to
> `ort`, so I'm not sure I see what we gain by doing such a switch in
> stages.  Maybe I'm missing something?

Didn't we "deprecate" but still indefinitely support "annotate"?  I
have been assuming that recursive will be in that category after ort
establishes itself.